Subject: bug#74287: [PATCH] Rework history Isearch for Eshell

From: Jim Porter <[email-masked]>
Date: Mon, 25 Nov 2024 22:53:36 -0800

On 11/9/2024 5:22 PM, Pengji Zhang wrote:
> Hello,
> 
> This patch brings a comint-like interface for history Isearch to Eshell.
> To try it, type 'M-r' in Eshell, and search through the input history
> ring incrementally.

 From inspection, this code all looks good to me. At least, it matches 
what Comint does; I don't know much about Isearch's implementation, so 
I'm just trusting that Comint is right here. Since this is a 
somewhat-large patch, I'm going to try and find some time this week to 
test it out so that I understand how it all works, and assuming I don't 
find any major problems, I'll merge it shortly after that.

Thanks for your contribution to Eshell (and Emacs as a whole)!